Bug 15083 - acqui/currency.pl is unused
Summary: acqui/currency.pl is unused
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 15084
  Show dependency treegraph
 
Reported: 2015-10-29 14:43 UTC by Jonathan Druart
Modified: 2016-06-21 21:40 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 15083: Remove acqui/currency.pl (3.02 KB, patch)
2015-10-29 14:46 UTC, Jonathan Druart
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 15083: Remove acqui/currency.pl (3.16 KB, patch)
2015-10-29 15:26 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
[PASSED QA] Bug 15083: Remove acqui/currency.pl (3.21 KB, patch)
2015-11-05 07:16 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2015-10-29 14:43:12 UTC
This script is never called from the Koha code and should be removed (especially regarding the FIXME...)
Comment 1 Jonathan Druart 2015-10-29 14:46:05 UTC Comment hidden (obsolete)
Comment 2 Bernardo Gonzalez Kriegel 2015-10-29 15:26:03 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2015-11-05 07:16:39 UTC
Created attachment 44458 [details] [review]
[PASSED QA] Bug 15083: Remove acqui/currency.pl

This script has scary FIXMEs and can be removed.
It is never called from Koha code.
On the way, this patch remove the C4::Budgets::ModCurrencies subroutine,
which was only called from this script.

Test plan:
  git grep 'acqui/currency.pl
and
  git grep ModCurrencies
should not return anything.

Signed-off-by: Bernardo Gonzalez Kriegel <bgkriegel@gmail.com>
No more ModeCurrencies, no call to acqui/currency.pl
No errors

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Tomás Cohen Arazi 2015-11-05 13:38:17 UTC
Patch pushed to master.

Thanks Jonathan!